xine-lib: plugin_catalog_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
plugin_catalog_s Struct Reference

`#include <plugin_catalog.h>`

## Data Fields
xine_sarray_t * | plugin_lists [PLUGIN_TYPE_MAX]
xine_sarray_t * | cache_list
xine_list_t * | file_list
plugin_node_t * | audio_decoder_map [128][10]
plugin_node_t * | video_decoder_map [128][10]
plugin_node_t * | spu_decoder_map [128][10]
const char * | ids [256]
char * | prio_desc [128]
pthread_mutex_t | lock
int | plugin_count
int | decoder_count
xine_sarray_t * | modules_list

## Field Documentation

## ◆ audio_decoder_map

plugin_node_t* plugin_catalog_s::audio_decoder_map[128][10]

Referenced by _x_decoder_available(), _x_get_audio_decoder(), and map_decoders().

## ◆ cache_list

xine_sarray_t* plugin_catalog_s::cache_list

Referenced by _new_catalog().

## ◆ decoder_count

int plugin_catalog_s::decoder_count

## ◆ file_list

xine_list_t* plugin_catalog_s::file_list

Referenced by _new_catalog().

## ◆ ids

const char* plugin_catalog_s::ids[256]

Referenced by _build_list_typed_plugins(), xine_get_autoplay_input_plugin_ids(), xine_get_browsable_input_plugin_ids(), and xine_list_post_plugins_typed().

## ◆ lock

pthread_mutex_t plugin_catalog_s::lock

Referenced by _build_list_typed_plugins(), _get_demux_strings(), _new_catalog(), _x_find_demux_plugin(), _x_find_demux_plugin_by_name(), _x_find_demux_plugin_last_probe(), _x_find_input_plugin(), _x_find_module(), _x_free_audio_decoder(), _x_free_audio_driver(), _x_free_demux_plugin(), _x_free_input_plugin(), _x_free_module(), _x_free_spu_decoder(), _x_free_video_decoder(), _x_free_video_driver(), _x_get_audio_decoder(), _x_get_spu_decoder(), _x_get_video_decoder(), _x_load_audio_output_plugin(), _x_load_video_output_plugin(), xine_get_autoplay_input_plugin_ids(), xine_get_autoplay_mrls(), xine_get_browsable_input_plugin_ids(), xine_get_browse_mrls(), xine_get_demux_for_mime_type(), xine_list_post_plugins_typed(), xine_new_framegrab_video_port(), xine_open(), xine_open_audio_driver(), xine_plugins_garbage_collector(), and xine_post_init().

## ◆ modules_list

xine_sarray_t* plugin_catalog_s::modules_list

Referenced by _new_catalog(), and _x_find_module().

## ◆ plugin_count

int plugin_catalog_s::plugin_count

## ◆ plugin_lists

xine_sarray_t* plugin_catalog_s::plugin_lists[PLUGIN_TYPE_MAX]

Referenced by _build_list_typed_plugins(), _get_demux_strings(), _get_input_class(), _new_catalog(), _x_find_demux_plugin(), _x_find_demux_plugin_by_name(), _x_find_demux_plugin_last_probe(), _x_find_input_plugin(), _x_load_video_output_plugin(), map_decoders(), xine_get_autoplay_input_plugin_ids(), xine_get_browsable_input_plugin_ids(), xine_get_demux_for_mime_type(), xine_list_post_plugins_typed(), xine_new_framegrab_video_port(), xine_plugins_garbage_collector(), and xine_post_init().

## ◆ prio_desc

char* plugin_catalog_s::prio_desc[128]

## ◆ spu_decoder_map

plugin_node_t* plugin_catalog_s::spu_decoder_map[128][10]

Referenced by _x_decoder_available(), _x_get_spu_decoder(), and map_decoders().

## ◆ video_decoder_map

plugin_node_t* plugin_catalog_s::video_decoder_map[128][10]

Referenced by _x_decoder_available(), _x_get_video_decoder(), and map_decoders().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/include/xine/plugin_catalog.h